std::lock_guard< _Mutex > Class Template Reference
Concurrency » Mutexes

## Public Types

typedef _Mutex | mutex_type

## Public Member Functions

| lock_guard (mutex_type &__m)
| lock_guard (mutex_type &__m, adopt_lock_t)
| lock_guard (const lock_guard &)=delete
lock_guard & | operator= (const lock_guard &)=delete

## Detailed Description

### template<typename _Mutex>
class std::lock_guard< _Mutex >

A movable scoped lock type.

A unique_lock controls mutex ownership within a scope. Ownership of the mutex can be delayed until after construction and can be transferred to another unique_lock by move construction or move assignment. If a mutex lock is owned when the destructor runs ownership will be released.

Definition at line 380 of file mutex.

The documentation for this class was generated from the following file:

- mutex